## pykaraoke 0.7.5

=== debian/changelog ===
pykaraoke (0.7.5-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace ttf-dejavu with fonts-dejavu
  * Add build-{arch,indep} targets to fix FTBFS.
    Thanks to Santiago Vila <sanvila@unex.es> (Closes: #822017)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 31 Dec 2016 09:39:49 +0100

pykaraoke (0.7.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update to use wxPython 3.0 (Closes: #758948):
    + New patch: wxpython3.0.patch
  * Drop dependency on python-wxgtk2.6 (Closes: #645568)

 -- Olly Betts <olly@survex.com>  Tue, 07 Oct 2014 09:42:38 +0000

pykaraoke (0.7.5-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * New Upstream Release.
  * Upgraded Standards-Version from 3.8.4 to 3.9.2
  * Transitioned to dh_python2
    See: http://wiki.debian.org/Python/TransitionToDHPython2
  * Changed dependency from python-wxgtk2.6
    to python-wxgtk2.8 | python-wxgtk2.6

 -- Miriam Ruiz <little_miry@yahoo.es>  Thu, 24 Nov 2011 11:47:47 +0100

pykaraoke (0.7.3-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * New Upstream Release:
    - Fixes for international / unicode characters in filenames.
    - Supports unusual CDG file draw commands found in the wild.
    - Makes About window work with Wx2.6 again.
    - Options for double-buffered and hardware.
    - Cleans up keyboard operations.
    - ‘P’ pauses, Backspace rewinds.
    - Remote control access to pykaraoke_mini.
    - Supports left/right margins
    - Improvements to printing support.
    - Fixes occasional crash in CDG player.
    - Improvements for GP2X, Windows and OSX.
  * Upgraded Standards-Version from 3.8.3 to 3.8.4

 -- Miriam Ruiz <little_miry@yahoo.es>  Sat, 15 May 2010 01:00:44 +0200

pykaraoke (0.7.1-3) unstable; urgency=low

  [ Jakub Wilk ]
  * In order to fix FTBFS, replace build-dependency on python-wxversion with
    python-wxgtk2.6 (closes: #562390).
  * Add Depends: ${misc:Depends}.
  * Include patch from Jonathan Wiltshire to fix bashism in cdg2mpg
    (closes: #547761).

 -- Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>  Thu, 04 Feb 2010 23:08:36 +0100

pykaraoke (0.7.1-2) unstable; urgency=medium

  * Include patch from Karl Ferdinand Ebert:
    Fix "should use python-numpy instead of python-num{eric,array}"
    by changing only suggest field in debian/control as code base
    contains already import case (Closes: #478453).

 -- Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>  Mon, 16 Nov 2009 22:18:22 -0600

pykaraoke (0.7.1-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * New Upstream Release.
   - Fixes a bug with choosing files from the Folder View.
   - It now uses python-mutagen instead of MP3Info.py
  * Added python-mutagen to Recommends in python-pykaraoke binary package.

 -- Miriam Ruiz <little_miry@yahoo.es>  Fri, 28 Aug 2009 17:36:58 +0200

pykaraoke (0.7.0-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * New Upstream Release.
  * Added Vcs-Svn and Vcs-Browser to debian/control
  * Bumped Standards-Version to 3.8.3 in debian/control
  * Added python-wxversion to build dependencies
  * Removed dh_desktop from debian/rules (deprecated)
  * Install cdg2mpg in pykaraoke-bin

 -- Miriam Ruiz <little_miry@yahoo.es>  Fri, 21 Aug 2009 00:21:57 +0200

pykaraoke (0.6.1-1) UNRELEASED; urgency=low

  [ Ryan Kavanagh ]
  * Add depends on ttf-dejavu-extra so we can find "DejaVuSansCondensed.ttf"
    (Closes: #436135)

  [ Marco Rodrigues ]
  * New upstream version.
  * debian/control:
    + Replace 'python' by 'Python' to fix
      lintian warning.

  [ Julien Lavergne ]
  * From Ubuntu, prepare for the future python transition:
    - debian/rules: Add --install-layout=deb to setup.py install
    - debian/control: Bump build-depends to python-all-dev (>= 2.5.4-1~)

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sun, 05 Jul 2009 21:02:52 -0400

pykaraoke (0.5.1-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * New Upstream Release.
    + GUI: Now works with WxPython v2.8
    + GUI: Improved search results layout
    + CDG player: Improved handling of corrupt CDG files
    + CDG player: Solved minor scrolling issues
  * Removed Ana Guerrero from Uploaders
  * Set Python Applications Packaging Team as Maintainer
  * Added Homepage label to control
  * Updated menu: Games/Arcade -> Games/Action
  * Replaced deprecated ${Source-Version} by ${source:Version} in control
  * Added dh_desktop to rules

  [ Piotr Ożarowski ]
  * Build Python extension for all supported Python versions
    - python-all-dev added to Build-Depends
    - debian/rules file updated
    - provide pythonX.Y-pykaraoke packages
  * patches added: (quilt added to Build-Depends)
    - fix_desktop_files
    - disable_fonts_installation
    - remove_hashbangs
  * debian/watch file updated
  * python-pykaraoke's section changed to python
  * Standards-Version bumped to 3.7.3 (no changes needed)

 -- Miriam Ruiz <little_miry@yahoo.es>  Sun, 16 Dec 2007 20:01:35 +0100

pykaraoke (0.5.0.ds1-2) unstable; urgency=low

  * Moved python-support from Build-Depends-Indep to Build-Depends.
    Closes: #390533.
  * Removed dependency from libwxgtk-python in binary package pykaraoke.

 -- Miriam Ruiz <little_miry@yahoo.es>  Sun,  1 Oct 2006 20:45:56 +0200

pykaraoke (0.5.0.ds1-1) unstable; urgency=low

  [Miriam Ruiz]
  * New Upstream Release.
    + CDG: Much improved performance for running on lower spec machines.
    + New C file which gives the major performance boost to the CDG player.
    + It's still possible to have an ultra-portable install without the
      compilation for which Numeric is required, but otherwise Numeric is
      no longer required.
    + CDG: Smoother scrolling and fixed horizontal scrolling.
    + MIDI: Fixed mid-song tempo changes.
    + MIDI: Smoother font-scaling and word-wrap.
    + pykaraoke_mini: New simple GUI for simpler environments.
    + Added support for GP2X.
    + Many other internal changes.
  * Python 2.4 is needed.


