=== debian/control ===
Source: pykaraoke
Section: games
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Miriam Ruiz <little_miry@yahoo.es>
Homepage: http://www.kibosh.org/pykaraoke/
Build-Depends: debhelper (>= 5.0.37.2), python-all-dev (>= 2.6.6-3~),
 libsdl-dev | libsdl1.2-dev, python-pygame, python-wxgtk3.0, quilt
Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/pykaraoke/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/python-apps/packages/pykaraoke/trunk/?op=log
Standards-Version: 3.9.2

Package: pykaraoke
Architecture: all
Depends: pykaraoke-bin (= ${source:Version}), python-pykaraoke (>= ${source:Version}),
 ${python:Depends}, python-pygame, python-wxgtk3.0, ${misc:Depends}
Suggests: python-numpy
Description: free CDG/MIDI/MPEG karaoke player
 PyKaraoke is a free karaoke player. You can use this program to play your
 collection of CDG, MIDI and MPEG karaoke songs.
 .
 pykaraoke is a frontend for the pycdg and pympg karaoke players. It provides
 a search engine to find your songs, a file/folder browser to pick songs from
 disk, as well as a playlist.
 .
 Features:
    * CDG (MP3+G, OGG+G) playback - Play standard CDG karaoke files
    * MIDI (.MID/.KAR) playback - Play MIDI format karaoke files
    * MPEG playback - Play karaoke songs and movies in MPEG format
    * Playlist - Queue up songs, sit back and enjoy
    * Searchable song database - Easily find your songs from the main screen
    * Search inside ZIP files - Play MP3+G/MIDI files wrapped in ZIP files
    * Cross-platform - Runs on Windows and Linux
 .
 MIDI/KAR support on Linux, requires the following:
    * Timidity++
    * Sounds/patches for Timidity++ (e.g. freepats or eawpatches)

Package: pykaraoke-bin
Architecture: all
Depends: ${python:Depends}, python-pykaraoke (>= ${source:Version}),
 python-pygame, fonts-dejavu, fonts-dejavu-extra, ${misc:Depends}
Description: free CDG/MIDI/MPEG karaoke player
 PyKaraoke is a free karaoke player. You can use this program to play your
 collection of CDG, MIDI and MPEG karaoke songs.
 .
 This package includes the command-line programs to play CDG files, MIDI/KAR
 files and MPEG files.
 .
 pykaraoke-mini is a frontend for the pycdg and pympg karaoke players.  It is
 similar to pykaraoke, but it is designed for use on small portable devices
 rather than PC's. In particular, it could be useful on any device lacking a
 keyboard and mouse.
 .
 Features:
    * CDG (MP3+G, OGG+G) playback - Play standard CDG karaoke files
    * MIDI (.MID/.KAR) playback - Play MIDI format karaoke files
    * MPEG playback - Play karaoke songs and movies in MPEG format
 .
 MIDI/KAR support on Linux, requires the following:
    * Timidity++
    * Sounds/patches for Timidity++ (e.g. freepats or eawpatches)

Package: python-pykaraoke
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, python-pygame, fonts-dejavu,
 ${misc:Depends}
Recommends: timidity, freepats, python-mutagen
Suggests: python-numpy
Provides: ${python:Provides}
Description: free CDG/MIDI/MPEG karaoke player
 PyKaraoke is a free karaoke player. You can use this program to play your
 collection of CDG, MIDI and MPEG karaoke songs.
 .
 This package includes the Python modules needed to play CDG files, MIDI/KAR
 files and MPEG files.
 .
 This package also includes the arch-dependent modules that gives a major
 performance boost to the CDG player.
 .
 Features:
    * CDG (MP3+G, OGG+G) playback - Play standard CDG karaoke files
    * MIDI (.MID/.KAR) playback - Play MIDI format karaoke files
    * MPEG playback - Play karaoke songs and movies in MPEG format
 .
 MIDI/KAR support on Linux, requires the following:
    * Timidity++
    * Sounds/patches for Timidity++ (e.g. freepats or eawpatches)
