=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make

PYVERS=$(shell pyversions -vr)
CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build-arch: build
build-indep: build
build: patch build-stamp
build-stamp: $(PYVERS:%=build-ext-%)
	touch $@
build-ext-%:
	dh_testdir
	python$* setup.py build
	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	find . -name "*.pyc" -delete
	rm -rf build
	rm -f install-ext-*
	dh_clean build-stamp install-stamp python-ext-* build-ext-*

install: install-stamp
install-stamp: $(PYVERS:%=install-ext-%)
	touch $@
install-ext-%:
	python$* setup.py install --skip-build \
		--root $(CURDIR)/debian/python-pykaraoke \
		--install-layout=deb
	touch $@

# Build architecture-independent files here.
binary-indep: install
	dh_testdir
	dh_testroot
	dh_install -i --sourcedir=debian/python-pykaraoke
	dh_installmenu -ppykaraoke debian/menu
	dh_installman -ppykaraoke-bin debian/pykar.6 debian/pycdg.6 \
		debian/pympg.6 debian/pykaraoke_mini.6
	dh_installman -ppykaraoke debian/pykaraoke.6
	dh_link -ppykaraoke usr/share/doc/python-pykaraoke usr/share/doc/pykaraoke
	dh_link -ppykaraoke-bin usr/share/doc/python-pykaraoke usr/share/doc/pykaraoke-bin
	rm -rf debian/python-pykaraoke/usr/share/pykaraoke/
	rm -rf debian/python-pykaraoke/usr/share/applications
	rm -rf debian/python-pykaraoke/usr/bin
	dh_compress -i
	dh_fixperms -i
	dh_python2 -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -ppython-pykaraoke
	dh_installdocs -ppython-pykaraoke
	rm -rf debian/python-pykaraoke/usr/share/pykaraoke/ \
		debian/python-pykaraoke/usr/share/applications \
		debian/python-pykaraoke/usr/bin
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
#	dh_makeshlibs -a
	dh_python2 -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install
